<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Retreival Augumented Generation </title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 40px;
            background-color: #f4f4f4; /* Set your desired background color */
        }

        h1 {
            color: #333;
        }

        form {
            max-width: 500px;
            margin: 40px 0;
            padding: 25px;
            border: 1px solid #ccc;
            border-radius: 5px;
            background-color: #fff; /* Set your desired background color */
        }

        label {
            display: block;
            margin-bottom: 5px;
            color: #555;
        }

        input, select {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            box-sizing: border-box;
            border: 1px solid #ccc;
            border-radius: 3px;
        }


        input[type="submit"]:hover {
            background-color: #3c7a3f;
        }

        .highlight-box {
            background-color: #ddd; /* Set your desired highlighted box background color */
            padding: 10px;
            border-radius: 5px;
            margin-top: 15px; /* Adjust as needed */
        }
        .highlight-box-2 {
            background-color: #8dbe8f; /* Set your desired highlighted box background color */
            padding: 10px;
            border-radius: 5px;
            margin-top: 15px; /* Adjust as needed */
        }
       
        p {
            margin-top: 10px;
            color: #333;
        }

        p.error {
            color: red;
        }

        p.message {
            color: rgb(121, 120, 177);
        }
    </style>
</head>
<body>
    <h1>Grounded output from LLM</h1>

    <p>The relevant information extracted from vector store and user's question are combined into a single user message. This is sent to the LLM's prompt and is instruced to answer/ improve answer based on the relevant information to generate grounded response. The response is expected to be :</p>
    <ul>
        <li>Reliable</li>
        <li>Accurate</li>
        <li>High quality</li>
        
    </ul>


    {% if LLM_prompt %}
    <div class="highlight-box">
        <h2>User Question to the LLM</h2>  
        <p>{{ LLM_prompt }}</p>          
    </div>
    {% endif %}

    {% if grounded_output %}
    <div class="highlight-box-2">
        <h2>LLM's response</h2>        
            <p>{{ grounded_output }}</p>           
    </div>
    {% endif %}

    
</body>
</html>
